V4MOS API
HomeAPI Reference
Changelog
HomeAPI Reference
Changelog
V4 Marketing
  1. Shopify
  • Guia Rápido
  • Facebook Ads
    • Overview
    • Accounts
    • Ads
    • Ad Sets
    • Campaigns
    • Actions
    • Ad Creatives
    • Demographics
    • Platforms
    • Regions
    • Ad Config
    • Ad Set Config
    • Campaigns Config
  • Google Ads
    • Overview
    • Accounts
    • Ad Group Ads
    • Ad Groups
    • Campaigns
    • Keywords
    • Age Range
    • Gender
    • Geographic
    • Conversions
    • Conversion Segmented Ad Group Ads
    • Conversion Segmented Ad Groups
    • Conversion Segmented Campaigns
    • Campaigns Criterion
    • Ad Group Criterion
  • Google Analytics
    • Overview
    • Sessions
    • Events
    • Custom Events
    • Customers
    • Products
    • Transactions
  • Tray
    • Overview
    • Customers
    • Orders
    • Products
  • Shopify
    • Overview
    • Customers
      GET
    • Orders
      GET
    • Order Items
      GET
    • Products
      GET
  • Kommo
    • Overview
    • Leads
    • Contacts
    • Pipelines
    • Users
  • HubSpot
    • Overview
    • Contacts
    • Deals
    • Companies
    • Pipelines
    • Products
  1. Shopify

Orders

GET
https://api.data.v4.marketing/v1/shopify/orders
Retrieve Shopify orders with payment, totals, and lifecycle timestamps

Requisição

Authorization
or
Parâmetros de Consulta

Respostas

🟢200OK
application/json
Shopify orders response
Bodyapplication/json

🟠400Bad Request
🔴500Internal Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.data.v4.marketing/v1/shopify/orders?organizationId=org_123&integrationId=undefined&integrationName=undefined&customerId=undefined&storeId=undefined&name=undefined&id=undefined&page=undefined&limit=undefined&createdStart=undefined&createdEnd=undefined&lastModifiedStart=undefined&lastModifiedEnd=undefined&closedDateStart=undefined&closedDateEnd=undefined&processedDateStart=undefined&processedDateEnd=undefined' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>'
Response Response Example
200 - Exemplo 1
{
    "data": [
        {
            "id": "string",
            "cancelled_at": "2019-08-24T14:15:22.123Z",
            "cancel_reason": "string",
            "closed": true,
            "closed_at": "2019-08-24T14:15:22.123Z",
            "confirmed": true,
            "created_at": "2019-08-24T14:15:22.123Z",
            "currency_code": "string",
            "customer_id": "string",
            "customer_email": "user@example.com",
            "email": "user@example.com",
            "fully_paid": true,
            "name": "string",
            "processed_at": "2019-08-24T14:15:22.123Z",
            "source_name": "string",
            "total_discounts_set_presentment_money_amount": 0,
            "total_discounts_set_presentment_money_currency_code": "string",
            "total_price_set_presentment_money_amount": 0,
            "total_price_set_presentment_money_currency_code": "string",
            "total_received_set_presentment_money_amount": 0,
            "total_received_set_presentment_money_currency_code": "string",
            "total_refunded_set_presentment_money_amount": 0,
            "total_refunded_set_presentment_money_currency_code": "string",
            "total_shipping_price_set_presentment_money_amount": 0,
            "total_shipping_price_set_presentment_money_currency_code": "string",
            "total_tax_set_presentment_money_amount": 0,
            "total_tax_set_presentment_money_currency_code": "string",
            "updated_at": "2019-08-24T14:15:22.123Z",
            "integration_id": "string",
            "organization_id": "string",
            "document_id": "string",
            "integration_name": "string",
            "inserted_at": "2019-08-24T14:15:22.123Z"
        }
    ],
    "meta": {
        "page": 0,
        "limit": 0,
        "hasNextPage": true,
        "hasPreviousPage": true
    }
}
Modificado em 2026-05-27 00:37:12
Página anterior
Customers
Próxima página
Order Items
Built with